# Uses of Record Class
org.apache.lucene.analysis.pattern.PatternTypingFilter.PatternTypingRule

Packages that use PatternTypingFilter.PatternTypingRule
Package
Description
org.apache.lucene.analysis.pattern
Set of components for pattern-based (regex) analysis.

- ## Uses of PatternTypingFilter.PatternTypingRule in org.apache.lucene.analysis.pattern

  Constructors in org.apache.lucene.analysis.pattern with parameters of type PatternTypingFilter.PatternTypingRule
  Modifier
  Constructor
  Description
  ``
  `PatternTypingFilter(TokenStream input, PatternTypingFilter.PatternTypingRule... replacementAndFlagByPattern)`